Bug 1411168 - Missing dependency perl-Encode for cowsay package
Summary: Missing dependency perl-Encode for cowsay package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cowsay
Version: 25
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 23:26 UTC by Ryan Breaker
Modified: 2017-01-24 20:50 UTC (History)
3 users (show)

Fixed In Version: cowsay-3.04-4.fc25 cowsay-3.04-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 19:52:15 UTC


Attachments (Terms of Use)

Description Ryan Breaker 2017-01-08 23:26:35 UTC
Description of problem:
The cowsay package for Fedora 25 appears to be missing the perl-Encode package as a dependency.

Version-Release number of selected component (if applicable):
3.04

How reproducible:
Every time for fresh Fedora 25 installs.

Steps to Reproduce:
1. In a fresh Fedora minimal install, install cowsay: `dnf install cowsay`
2. Attempt to run cowsay: `echo foo | cowsay`

Actual results:
Can't locate Encode.pm in @INC (you may need to install the Encode module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/bin/cowsay line 18.

Expected results:
 _____
< foo >
 -----
        \   ^__^
         \  (oo)\_______
            (__)\       )\/\
                ||----w |
                ||     ||

Additional info:
This is fixable by running `dnf install perl-Encode` which just appears to be a missing dependency for the package.

This is also my first bug report for Fedora so please let me know if there's anything else I could have done better with this report.

Comment 1 Fedora Update System 2017-01-09 18:43:35 UTC
cowsay-3.04-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ad898cd6e

Comment 2 Fedora Update System 2017-01-09 18:43:43 UTC
cowsay-3.04-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c9ddd271bc

Comment 3 Fedora Update System 2017-01-10 03:28:33 UTC
cowsay-3.04-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ad898cd6e

Comment 4 Fedora Update System 2017-01-10 10:20:02 UTC
cowsay-3.04-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c9ddd271bc

Comment 5 Fedora Update System 2017-01-17 19:52:15 UTC
cowsay-3.04-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-01-24 20:50:46 UTC
cowsay-3.04-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.